Subject: Re: [PATCH v7 4/4] MAINTAINERS: Add entry for TEE based Trusted Keys

From: Jarkko Sakkinen <[email-masked]>
Date: Tue, 13 Oct 2020 05:21:57 +0300

On Wed, Oct 07, 2020 at 03:37:48PM +0530, Sumit Garg wrote:
> Add MAINTAINERS entry for TEE based Trusted Keys framework.
> 
> Signed-off-by: Sumit Garg <[email-masked]>
> Acked-by: Jarkko Sakkinen <[email-masked]>
> ---
>  MAINTAINERS | 8 ++++++++
>  1 file changed, 8 insertions(+)
> 
> diff --git a/MAINTAINERS b/MAINTAINERS
> index 48aff80..eb3d889 100644
> --- a/MAINTAINERS
> +++ b/MAINTAINERS
> @@ -9663,6 +9663,14 @@ F:	include/keys/trusted-type.h
>  F:	include/keys/trusted_tpm.h
>  F:	security/keys/trusted-keys/
>  
> +KEYS-TRUSTED-TEE
> +M:	Sumit Garg <[email-masked]>
> +L:	[email-masked]
> +L:	[email-masked]
> +S:	Supported
> +F:	include/keys/trusted_tee.h
> +F:	security/keys/trusted-keys/trusted_tee.c
> +
>  KEYS/KEYRINGS
>  M:	David Howells <[email-masked]>
>  M:	Jarkko Sakkinen <[email-masked]>
> -- 
> 2.7.4

I'm sorry but I think I have changed my mind on this. This has been
spinning for a while and sometimes conclusions change over the time.

I don't think that we really need a separate subsystem tag. I'd be for a
new M-entry or R-entry to the existing subsystem tag. It's essential to
have ack from someone with ARM and TEE knowledge but this way too heavy
for the purpose.

I also see it the most manageable if the trusted keys PR's come from a
single source.

/Jarkko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel